import { __extends, __decorate } from 'tslib';
import { classNamesFunction } from '@uifabric-vue/utilities';
import { Component } from 'vue-property-decorator';
import BaseComponent from '../BaseComponent.js';
import VNodes from '../VNodes.js';

var getClassNames = classNamesFunction();
var DialogFooterBase = function(_super) {
  __extends(DialogFooterBase2, _super);
  function DialogFooterBase2() {
    return _super !== null && _super.apply(this, arguments) || this;
  }
  DialogFooterBase2.prototype.render = function(h) {
    var _a = this, className = _a.className, styles = _a.styles, theme = _a.theme;
    this._classNames = getClassNames(styles, {
      theme: theme,
      className: className
    });
    return h("div", {
      class: this._classNames.actions
    }, [
      h("div", {
        class: this._classNames.actionsRight
      }, this._renderChildrenAsActions(h))
    ]);
  };
  DialogFooterBase2.prototype._renderChildrenAsActions = function(h) {
    var _this = this;
    var _a;
    return (_a = this.$slots.default) === null || _a === void 0 ? void 0 : _a.map(function(child) {
      return child ? h("span", { class: _this._classNames.action }, [h(VNodes, { props: { vnodes: child } })]) : null;
    });
  };
  DialogFooterBase2 = __decorate([
    Component
  ], DialogFooterBase2);
  return DialogFooterBase2;
}(BaseComponent);

export { DialogFooterBase };
